﻿namespace ProjectAircraftCarrier.Entities;

/// <summary>
/// Класс-сущность "Авианосец"
/// </summary>
public class EntityAircraftCarrier : EntityWarship
{
    /// <summary>
    /// Дополнительный цвет (для опциональных элементов)
    /// </summary>
    public Color AdditionalColor { get; private set; }

    /// <summary>
    /// Признак (опция) наличие взлётно-посадочной полосы
    /// </summary>
    public bool AircraftDeck { get; private set; }

    /// <summary>
    /// Признак (опция) наличие рубки управления
    /// </summary>
    public bool ControlRoom { get; private set; }

    /// <summary>
    /// Инициализация полей объекта-класса авианосца
    /// </summary>
    /// <param name="speed">Скорость</param>
    /// <param name="weight">Вес авианосца</param>
    /// <param name="bodyColor">Основной цвет</param>
    /// <param name="additionalColor">Дополнительный цвет</param>
    /// <param name="aircraftDeck">Признак наличия взлётно-посадочной полосы</param>
    /// <param name="controlRoom">Признак наличия рубки управления</param>
    public EntityAircraftCarrier(int speed, double weight, Color bodyColor, Color additionalColor, bool aircraftDeck, bool controlRoom) : base(speed, weight, bodyColor)
    {
        AdditionalColor = additionalColor;
        AircraftDeck = aircraftDeck;
        ControlRoom = controlRoom;
    }
}
